<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 05/14/2007 *
 * ===============                              Last change: 05/14/2007 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : lead-confirm.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Script for lead-campaign codes                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alles um den Bestaetigungslink                   *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require_once("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action, $startTime;
$GLOBALS['startTime'] = microtime(true);
$GLOBALS['what'] = ""; $GLOBALS['action'] = "";

// Set module
$GLOBALS['module'] = "lead-confirm";

// Load config.php
require ("inc/config.php");

// Is the script installed?
if (defined('mxchange_installed') && (mxchange_installed)) {
	// Header
	require(PATH."inc/header.php");

	// Initialize the array for the template
	$content = array(
		'lead_uid'   => -1,
		'lead_email' => "INVALID@EMAIL"
	);

	// Is the cookie set?
	if (isset($_SESSION['lead_uid'])) {
		// Is the user-account unlocked and valid?
		$result = SQL_QUERY_ESC("SELECT email FROM "._MYSQL_PREFIX."_user_data WHERE userid=%d AND status='CONFIRMED' LIMIT 1",
			array(bigintval($_SESSION['lead_uid'])), __FILE__, __LINE__);
		if (SQL_NUMROWS($result) == 1) {
			// Secure the ID number
			$content['lead_uid'] = bigintval($_SESSION['lead_uid']);

			// Load the email address
			list($content['lead_email']) = COMPILE_CODE(SQL_FETCHROW($result));
		} else {
			// Not found!
			$content['lead_uid'] = 0;
		}
	} else {
		// Maybe spider?
		$content['lead_email'] = WEBMASTER;
	}

	// Load the lead template
	LOAD_TEMPLATE("lead_code", false, $content);

	// Footer
	require(PATH."inc/footer.php");
} else {
	// You have to configure first!
	LOAD_URL("install.php");
}

// All done here...
?>
